# $Revision: 1.164.2.1 $, $Date: 2007/02/28 19:03:09 $
#
# Conditional build:
%bcond_with	gtk1		# build gtk+1 (not gtk+2) based wireshark binary
%bcond_without	krb5		# build without kerberos5 support (via heimdal)
%bcond_without	snmp		# build without snmp support
#
Summary:	Network traffic and protocol analyzer
Summary(es):	Analizador de trfico de red
Summary(pl):	Analizator ruchu i protokow sieciowych
Summary(pt_BR):	Analisador de trfego de rede
Summary(ru):	  
Summary(uk):	̦  Ʀ
Name:		wireshark
Version:	0.99.5
Release:	2
License:	GPL
Group:		Networking
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
# Source0-md5:	ff067e0f2a0e0e53362bc6a943ff8622
Source1:	%{name}.desktop
Source2:	%{name}.su-start-script
URL:		http://www.wireshark.org/
BuildRequires:	adns-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	elfutils-devel
BuildRequires:	flex
%if %{with gtk1}
BuildRequires:	gtk+-devel >= 1.2
%else
BuildRequires:	gtk+2-devel >= 1:2.0.0
%endif
%{?with_krb5:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libpcap-devel >= 0.4
BuildRequires:	libtool
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	%{name}-common = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
Requires:	libpcap >= 0.4
Provides:	ethereal
Provides:	ethereal-gnome
Obsoletes:	ethereal
Obsoletes:	ethereal-gnome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireshark is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Wireshark has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

%description -l es
Analizador de trfico de red.

%description -l pl
Wireshark jest potnym, graficznym snifferem, analizatorem ruchu oraz
protokow sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umoliwia on przechwytywanie oraz interaktywn analiz zawartoci
ramek oraz ponad stu protokow sieciowych. Wireshark posiada wiele
uytecznych cech, takich jak rozbudowany jzyk filtrw wywietlania,
moliwo ogldania przebiegu sesji TCP oraz moliwo doczania
wtyczek (plug-ins).

%description -l pt_BR
O Wireshark  um analisador de protocolo de rede baseado no GTK+.

%description -l ru
Wireshark -      Unix- . 
  GTK+  libpcap.

%description -l uk
Wireshark -  ̦  Ʀ  Unix-Ħ . 
դ  GTK+  libpcap.

%package common
Summary:	Network traffic and protocol analyzer - common files
Summary(pl):	Analizator ruchu i protokow sieciowych - wsplne pliki
Group:		Networking
Requires:	libwiretap = %{version}-%{release}
Provides:	ethereal-common
Obsoletes:	ethereal-common

%description common
Wireshark is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Wireshark has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

%description common -l es
Analizador de trfico de red.

%description common -l pl
Wireshark jest potnym, graficznym snifferem, analizatorem ruchu oraz
protokow sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umoliwia on przechwytywanie oraz interaktywn analiz zawartoci
ramek oraz ponad stu protokow sieciowych. Wireshark posiada wiele
uytecznych cech, takich jak rozbudowany jzyk filtrw wywietlania,
moliwo ogldania przebiegu sesji TCP oraz moliwo doczania
wtyczek (plug-ins).

%description common -l pt_BR
O Wireshark  um analisador de protocolo de rede baseado no GTK+.

%description common -l ru
Wireshark -      Unix- . 
  GTK+  libpcap.

%description common -l uk
Wireshark -  ̦  Ʀ  Unix-Ħ . 
դ  GTK+  libpcap.

%package tools
Summary:	Tools for manipulating capture files
Summary(pl):	Narzdzia do obrbki plikw z przechwyconymi pakietami sieciowymi
Group:		Networking
Requires:	%{name}-common = %{version}-%{release}
Provides:	ethereal-tools
Obsoletes:	ethereal-tools

%description tools
Set of tools for manipulating capture files. Contains:
- capinfo - prints informatio about binary capture files,
- dftest - shows display filter byte-code,
- editcap - edit and/or translate the format of capture files,
- idl2eth - corba IDL to Wireshark Plugin Generator,
- mergecap - merges two capture files into one,
- text2cap - generate a capture file from an ASCII hexdump of packets.

%description tools -l pl
Zestaw narzdzi do obrbki plikw z przechwyconymi pakietami. Zawiera:
- capinfo - wywietla informacje o binarnych plikach zrzutu,
- dftest - pokazuje byte-code filtrw wywietlania,
- editcap - do edycji plikw i tumaczenia ich na inne formaty,
- idl2eth - konwerter Corba IDL do pluginw Wireshark,
- mergecap - do czenia dwch plikw w jeden,
- text2cap - do generowania pliku cap z szesnastkowego zrzutu ASCII
  pakietw.

%package -n twireshark
Summary:	Text-mode network traffic and protocol analyzer
Summary(pl):	Tekstowy analizator ruchu i protokow sieciowych
Summary(pt_BR):	Analisador modo texto de trfego de rede (sniffer)
Group:		Networking
Requires:	%{name}-common = %{version}-%{release}
Requires:	libpcap >= 0.4
Provides:	tethereal
Obsoletes:	tethereal

%description -n twireshark
Twireshark is a network protocol analyzer. It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file. Twireshark's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%description -n twireshark -l pl
Twireshark jest analizatorem protokow sieciowych. Pozwala na
przechwytywanie pakietw z sieci lub wczytywanie danych z pliku.
Zdekodowany wynik (a twireshark zna ponad 100 rozmaitych protokow
sieciowych!) jest wywietlony na ekranie. Natywnym formatem plikw
tetherala jest format libpcap, tak wic jest on kompatybilny z
tcpdumpem i innymi podobnymi narzdziami.

%description -n twireshark -l pt_BR
Esta  uma verso para modo texto do analisador de trfego de rede
Wireshark.

%package -n libwiretap
Summary:	Packet capture and analysis library
Summary(pl):	Biblioteka do przechwytywania i analizy pakietw
Group:		Libraries

%description -n libwiretap
Wiretap is a library that is being developed as a future replacement
for libpcap, the current standard Unix library for packet capturing.

%description -n libwiretap -l pl
Biblioteka Wiretap rozwijana jest jako przyszy nastpca biblioteki
libpcap, obecnie standardu przechwytywania pakietw w systemach Unix.

%package -n libwiretap-devel
Summary:	Header files for libwiretap packet capture library
Summary(pl):	Pliki nagwkowe biblioteki libwiretap do przechwytywania pakietw
Group:		Development/Libraries
Requires:	libwiretap = %{version}-%{release}
%if %{with gtk1}
Requires:	gtk+-devel >= 1.2
%else
Requires:	gtk+2-devel >= 2.0.0
%endif

%description -n libwiretap-devel
Header files for libwiretap packet capture library.

%description -n libwiretap-devel -l pl
Pliki nagwkowe biblioteki libwiretap sucej do przechwytywania
pakietw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I aclocal-fallback
%{__autoconf}
%{__automake}
cd wiretap
%{__aclocal} -I ../aclocal-fallback
%{__autoconf}
# don't use --force here
%{__automake}
cd ..
%configure \
	--enable-randpkt \
	--enable-dftest \
	--enable-threads \
	%{!?with_gtk1:--enable-gtk2} \
%if %{with krb5}
	--with-krb5 \
	--with-ssl \
%endif
	%{!?with_snmp:--without-net-snmp --without-ucdsnmp} \
	--with-plugindir=%{_libdir}/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_includedir}/wiretap}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}_su
install image/hi48-app-wireshark.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

install wiretap/*.h $RPM_BUILD_ROOT%{_includedir}/wiretap

# plugins *.la are useless - *.so are loaded through gmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/%{version}*/*.la

# no headers installed for this library
rm -f $RPM_BUILD_ROOT%{_libdir}/libwireshark.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	common -p /sbin/ldconfig
%postun	common -p /sbin/ldconfig

%post	-n libwiretap -p /sbin/ldconfig
%postun	-n libwiretap -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wireshark
%attr(755,root,root) %{_bindir}/%{name}_su
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}*
%attr(755,root,root) %{_libdir}/%{name}/plugins/%{version}*/*.so
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/wireshark.1*

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_libdir}/libwireshark.so.*.*.*
%{_mandir}/man4/wireshark-filter.4*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(755,root,root) %{_bindir}/dumpcap
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/text2pcap
%attr(755,root,root) %{_bindir}/randpkt
%{_mandir}/man1/capinfo*
%{_mandir}/man1/dumpcap*
%{_mandir}/man1/editcap*
%{_mandir}/man1/idl2wrs*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*

%files -n twireshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n libwiretap
%defattr(644,root,root,755)
%doc wiretap/{README*,AUTHORS,NEWS,ChangeLog}
%attr(755,root,root) %{_libdir}/libwiretap.so.*.*.*

%files -n libwiretap-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwiretap.so
%{_libdir}/libwiretap.la
%{_includedir}/wiretap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wireshark.spec,v $
Revision 1.164.2.1  2007/02/28 19:03:09  qboosh
- release 2 (new gnutls)

Revision 1.164  2007/02/04 11:08:34  darekr
- updated to 0.99.5 (fixes CVE-2007-04{56,57,58,59}

Revision 1.163  2006/12/21 17:40:22  arekm
- rel 2; rebuild with new net-snmp

Revision 1.162  2006/12/04 00:06:15  qboosh
- updated to 0.99.4 (fixes CVE-2006-4574 CVE-2006-4805 CVE-2006-5468
  CVE-2006-5469 CVE-2006-5595 CVE-2006-5740)

Revision 1.161  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.160  2006/09/14 09:20:40  glen
- main package requires /usr/bin/dumpcap

Revision 1.159  2006/08/27 12:04:44  zawadaa
- up to 0.99.3a,
- resolves CVE-2006-4330, CVE-2006-4331, CVE-2006-4332, CVE-2006-4333

Revision 1.158  2006/07/25 16:05:01  glen
- up to 0.99.2,
  resolves CVE-2006-3627, CVE-2006-3628, CVE-2006-3629, CVE-2006-3630,
  CVE-2006-3631, CVE-2006-3632

Revision 1.157  2006/06/10 09:18:12  glen
- no obsolete for package that hasn't existed

Revision 1.156  2006/06/10 09:01:04  blues
- provides for ethereal, for smooth upgrade

Revision 1.155  2006/06/09 21:07:24  arekm
- obsoletes; adapterized

Revision 1.154  2006/06/09 21:04:27  arekm
- ethereal project under new name - wireshark
